Bug 1560097 - Error occurs when trying to edit a catalog item
Summary: Error occurs when trying to edit a catalog item
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.8.4
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1476949
Blocks: 1551709
TreeView+ depends on / blocked
 
Reported: 2018-03-23 21:23 UTC by Satoe Imaishi
Modified: 2018-06-25 14:19 UTC (History)
7 users (show)

Fixed In Version: 5.8.4.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1476949
Environment:
Last Closed: 2018-06-25 14:19:13 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19:47 UTC

Comment 2 Harpreet Kataria 2018-04-10 16:43:23 UTC
Fine specific PR: https://github.com/ManageIQ/manageiq-ui-classic/pull/3746

Comment 4 CFME Bot 2018-04-16 13:57:07 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/e70780b1b86c76d560b0904cb99bf75381b33038
commit e70780b1b86c76d560b0904cb99bf75381b33038
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Mar 20 15:19:06 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Mar 20 15:19:06 2018 -0400

    Show message when trying to edit item with missing Provisioning request

    Added check around code to prevent error when editing catalog item with missing Provisioning request, with this change, flash message will be displayed on the screen informing user that they can not proceed with editing selected catalog item because request is missing

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1476949
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1560097

    (cherry picked from commit 6a24e66)

 app/controllers/catalog_controller.rb | 19 +-
 app/views/catalog/_sandt_tree_show.html.haml | 2 +-
 spec/controllers/catalog_controller_spec.rb | 24 +
 3 files changed, 41 insertions(+), 4 deletions(-)

Comment 6 Shveta 2018-05-10 18:37:44 UTC
Verified in 5.8.4.2.20180424224202_be9b69f

Comment 8 errata-xmlrpc 2018-06-25 14:19:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.